%define pname     vnsiserver
%define git_hash  14a1fe5c58
%define checkout  20121216git%{git_hash}
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.9.0
Release:        0.1.%{checkout}%{?dist}
Summary:        VDR plugin to handle XBMC clients via VNSI

Group:          Applications/Multimedia
License:        GPLv2
URL:            https://github.com/opdenkamp/xbmc-pvr-addons

# Download with:
#   git clone https://github.com/opdenkamp/xbmc-pvr-addons.git
#   cd xbmc-pvr-addons
#   git checkout ${git_hash}
#   cd addons/pvr.vdr.vnsi
#   tar cfJ vdr-plugin-vnsiserver-${checkout}.tar.xz vdr-plugin-vnsiserver
Source:         vdr-plugin-vnsiserver-%{checkout}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       vdr(abi)%{?_isa} = %{apiver}

BuildRequires:  vdr-devel >= 1.5.9

%description
VDR plugin to handle XBMC clients. It is needed to use XBMC as a frontend and
VDR as a backend. With the plugin it is possible to get TV and PVR
functionality from a VDR into a XBMC. It is able to handle several XBMC
clients connecting via the VNSI addon.

VNSI supports also dynamic PID switching of the received DVB-TS
stream. Further it detect and demuxing several not by VDR implemented audio
streams, this are:
  - Enhanced AC3 (not tested)
  - Advanced Audio Coding (AAC) (not tested)
  - DTS (demuxer not finished now, and does not work)

%prep
%setup -q -n vdr-plugin-vnsiserver

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$PWD/locale all

%install
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/%{pname}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{pname}/* $RPM_BUILD_ROOT%{configdir}/plugins/%{pname}/

%files
%doc COPYING 
%doc HISTORY
%doc README 

%dir %{configdir}/plugins/%{pname}
%config(noreplace) %{configdir}/plugins/%{pname}/*
%{vdr_plugindir}/libvdr-%{pname}.so.%{apiver}

%changelog
* Sun Dec 16 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-0.1.20121216git14a1fe5c58
- initial built for Fedora

